//*****************************************
// AT mega328P-AU(32pin TQFP) six IN-16 clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:nixie.h
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//*****************************************

#define	KETA_MAX		5				// ̋@̌iO炱̒l܂łőIBj
#define	KETA_SEL_MAX	5				// ̋@̌IR[h̍őliO炱̒l܂łőIBj
#define	PATH_MAX		4				// _Ci~bN\1̃JEgii̒l{Pjitaimer2̊ݎ[TOOr]jP̎ԂɂȂj


extern	unsigned char	nixe_active;
extern	unsigned char	path_limit;
extern	unsigned char	change_path;

extern	void	init_nixe(void);
extern	void	proc_dynamic_nixie(void);
extern	void	dynamic_nixie_active(unsigned char on);
extern	void	disp_nixie_number(char *cp);
extern	void	disp_dynamic_nixie_number(unsigned char k, unsigned char n);
extern	void	disp_dynamic_nixie_clear(void);
extern	void	disp_dynamic_dotl_on_off(unsigned char k, unsigned char n);
extern	void	disp_dynamic_dotr_on_off(unsigned char k, unsigned char n);

extern	void	disp_static_nixie_number(unsigned char k, unsigned char n);
extern	void	disp_static_dotl_on_off(unsigned char k, unsigned char n);
extern	void	disp_static_dotr_on_off(unsigned char k, unsigned char n);

